#########################################################
# This file has been automatically generated by gem2tgz #
#########################################################
# -*- encoding: utf-8 -*-
# stub: aws-sdk-s3 1.117.2 ruby lib

Gem::Specification.new do |s|
  s.name = "aws-sdk-s3".freeze
  s.version = "1.117.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "changelog_uri" => "https://github.com/aws/aws-sdk-ruby/tree/version-3/gems/aws-sdk-s3/CHANGELOG.md", "source_code_uri" => "https://github.com/aws/aws-sdk-ruby/tree/version-3/gems/aws-sdk-s3" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Amazon Web Services".freeze]
  s.date = "2022-11-30"
  s.description = "Official AWS Ruby gem for Amazon Simple Storage Service (Amazon S3). This gem is part of the AWS SDK for Ruby.".freeze
  s.email = ["aws-dr-rubygems@amazon.com".freeze]
  s.files = ["CHANGELOG.md".freeze, "LICENSE.txt".freeze, "VERSION".freeze, "lib/aws-sdk-s3.rb".freeze, "lib/aws-sdk-s3/bucket.rb".freeze, "lib/aws-sdk-s3/bucket_acl.rb".freeze, "lib/aws-sdk-s3/bucket_cors.rb".freeze, "lib/aws-sdk-s3/bucket_lifecycle.rb".freeze, "lib/aws-sdk-s3/bucket_lifecycle_configuration.rb".freeze, "lib/aws-sdk-s3/bucket_logging.rb".freeze, "lib/aws-sdk-s3/bucket_notification.rb".freeze, "lib/aws-sdk-s3/bucket_policy.rb".freeze, "lib/aws-sdk-s3/bucket_region_cache.rb".freeze, "lib/aws-sdk-s3/bucket_request_payment.rb".freeze, "lib/aws-sdk-s3/bucket_tagging.rb".freeze, "lib/aws-sdk-s3/bucket_versioning.rb".freeze, "lib/aws-sdk-s3/bucket_website.rb".freeze, "lib/aws-sdk-s3/client.rb".freeze, "lib/aws-sdk-s3/client_api.rb".freeze, "lib/aws-sdk-s3/customizations.rb".freeze, "lib/aws-sdk-s3/customizations/bucket.rb".freeze, "lib/aws-sdk-s3/customizations/multipart_upload.rb".freeze, "lib/aws-sdk-s3/customizations/object.rb".freeze, "lib/aws-sdk-s3/customizations/object_summary.rb".freeze, "lib/aws-sdk-s3/customizations/types/list_object_versions_output.rb".freeze, "lib/aws-sdk-s3/encryption.rb".freeze, "lib/aws-sdk-s3/encryption/client.rb".freeze, "lib/aws-sdk-s3/encryption/decrypt_handler.rb".freeze, "lib/aws-sdk-s3/encryption/default_cipher_provider.rb".freeze, "lib/aws-sdk-s3/encryption/default_key_provider.rb".freeze, "lib/aws-sdk-s3/encryption/encrypt_handler.rb".freeze, "lib/aws-sdk-s3/encryption/errors.rb".freeze, "lib/aws-sdk-s3/encryption/io_auth_decrypter.rb".freeze, "lib/aws-sdk-s3/encryption/io_decrypter.rb".freeze, "lib/aws-sdk-s3/encryption/io_encrypter.rb".freeze, "lib/aws-sdk-s3/encryption/key_provider.rb".freeze, "lib/aws-sdk-s3/encryption/kms_cipher_provider.rb".freeze, "lib/aws-sdk-s3/encryption/materials.rb".freeze, "lib/aws-sdk-s3/encryption/utils.rb".freeze, "lib/aws-sdk-s3/encryptionV2/client.rb".freeze, "lib/aws-sdk-s3/encryptionV2/decrypt_handler.rb".freeze, "lib/aws-sdk-s3/encryptionV2/default_cipher_provider.rb".freeze, "lib/aws-sdk-s3/encryptionV2/default_key_provider.rb".freeze, "lib/aws-sdk-s3/encryptionV2/encrypt_handler.rb".freeze, "lib/aws-sdk-s3/encryptionV2/errors.rb".freeze, "lib/aws-sdk-s3/encryptionV2/io_auth_decrypter.rb".freeze, "lib/aws-sdk-s3/encryptionV2/io_decrypter.rb".freeze, "lib/aws-sdk-s3/encryptionV2/io_encrypter.rb".freeze, "lib/aws-sdk-s3/encryptionV2/key_provider.rb".freeze, "lib/aws-sdk-s3/encryptionV2/kms_cipher_provider.rb".freeze, "lib/aws-sdk-s3/encryptionV2/materials.rb".freeze, "lib/aws-sdk-s3/encryptionV2/utils.rb".freeze, "lib/aws-sdk-s3/encryption_v2.rb".freeze, "lib/aws-sdk-s3/endpoint_parameters.rb".freeze, "lib/aws-sdk-s3/endpoint_provider.rb".freeze, "lib/aws-sdk-s3/endpoints.rb".freeze, "lib/aws-sdk-s3/errors.rb".freeze, "lib/aws-sdk-s3/event_streams.rb".freeze, "lib/aws-sdk-s3/file_downloader.rb".freeze, "lib/aws-sdk-s3/file_part.rb".freeze, "lib/aws-sdk-s3/file_uploader.rb".freeze, "lib/aws-sdk-s3/legacy_signer.rb".freeze, "lib/aws-sdk-s3/multipart_file_uploader.rb".freeze, "lib/aws-sdk-s3/multipart_stream_uploader.rb".freeze, "lib/aws-sdk-s3/multipart_upload.rb".freeze, "lib/aws-sdk-s3/multipart_upload_error.rb".freeze, "lib/aws-sdk-s3/multipart_upload_part.rb".freeze, "lib/aws-sdk-s3/object.rb".freeze, "lib/aws-sdk-s3/object_acl.rb".freeze, "lib/aws-sdk-s3/object_copier.rb".freeze, "lib/aws-sdk-s3/object_multipart_copier.rb".freeze, "lib/aws-sdk-s3/object_summary.rb".freeze, "lib/aws-sdk-s3/object_version.rb".freeze, "lib/aws-sdk-s3/plugins/accelerate.rb".freeze, "lib/aws-sdk-s3/plugins/arn.rb".freeze, "lib/aws-sdk-s3/plugins/bucket_dns.rb".freeze, "lib/aws-sdk-s3/plugins/bucket_name_restrictions.rb".freeze, "lib/aws-sdk-s3/plugins/dualstack.rb".freeze, "lib/aws-sdk-s3/plugins/endpoints.rb".freeze, "lib/aws-sdk-s3/plugins/expect_100_continue.rb".freeze, "lib/aws-sdk-s3/plugins/get_bucket_location_fix.rb".freeze, "lib/aws-sdk-s3/plugins/http_200_errors.rb".freeze, "lib/aws-sdk-s3/plugins/iad_regional_endpoint.rb".freeze, "lib/aws-sdk-s3/plugins/location_constraint.rb".freeze, "lib/aws-sdk-s3/plugins/md5s.rb".freeze, "lib/aws-sdk-s3/plugins/redirects.rb".freeze, "lib/aws-sdk-s3/plugins/s3_host_id.rb".freeze, "lib/aws-sdk-s3/plugins/s3_signer.rb".freeze, "lib/aws-sdk-s3/plugins/skip_whole_multipart_get_checksums.rb".freeze, "lib/aws-sdk-s3/plugins/sse_cpk.rb".freeze, "lib/aws-sdk-s3/plugins/streaming_retry.rb".freeze, "lib/aws-sdk-s3/plugins/url_encoded_keys.rb".freeze, "lib/aws-sdk-s3/presigned_post.rb".freeze, "lib/aws-sdk-s3/presigner.rb".freeze, "lib/aws-sdk-s3/resource.rb".freeze, "lib/aws-sdk-s3/types.rb".freeze, "lib/aws-sdk-s3/waiters.rb".freeze]
  s.homepage = "https://github.com/aws/aws-sdk-ruby".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3".freeze)
  s.rubygems_version = "3.2.5".freeze
  s.summary = "AWS SDK for Ruby - Amazon S3".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<aws-sdk-core>.freeze, ["~> 3", ">= 3.165.0"])
    s.add_runtime_dependency(%q<aws-sdk-kms>.freeze, ["~> 1"])
    s.add_runtime_dependency(%q<aws-sigv4>.freeze, ["~> 1.4"])
  else
    s.add_dependency(%q<aws-sdk-core>.freeze, ["~> 3", ">= 3.165.0"])
    s.add_dependency(%q<aws-sdk-kms>.freeze, ["~> 1"])
    s.add_dependency(%q<aws-sigv4>.freeze, ["~> 1.4"])
  end
end
